Module ij
Package ij.plugin

# Class LutLoader

java.lang.Object
ij.ImagePlus
ij.plugin.LutLoader

All Implemented Interfaces:
  `Measurements`, `PlugIn`, `ImageObserver`, `Cloneable`

public class LutLoader extends ImagePlus implements PlugIn
Opens NIH Image look-up tables (LUTs), 768 byte binary LUTs (256 reds, 256 greens and 256 blues), LUTs in text format, or generates the LUT specified by the string argument passed to the run() method.

## Field Summary

### Fields inherited from class ij.ImagePlus

`changes, CLOSED, COLOR_256, COLOR_RGB, compositeImage, currentSlice, dimensionsSet, flattenTitle, GRAY16, GRAY32, GRAY8, height, img, ip, locked, nChannels, nFrames, nSlices, OPENED, roi, SAVED, setIJMenuBar, UPDATED, width, win`

### Fields inherited from interface java.awt.image.ImageObserver

`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

### Fields inherited from interface ij.measure.Measurements

`ADD_TO_OVERLAY, ALL_STATS, AREA, AREA_FRACTION, CENTER_OF_MASS, CENTROID, CIRCULARITY, ELLIPSE, FERET, INTEGRATED_DENSITY, INVERT_Y, KURTOSIS, LABELS, LIMIT, MAX_STANDARDS, MEAN, MEDIAN, MIN_MAX, MODE, NaN_EMPTY_CELLS, PERIMETER, RECT, SCIENTIFIC_NOTATION, SHAPE_DESCRIPTORS, SKEWNESS, SLICE, STACK_POSITION, STD_DEV`

## Constructor Summary

Constructors
Constructor
Description
`LutLoader()`

## Method Summary

Modifier and Type
Method
Description
`static ByteProcessor`
`createImage(IndexColorModel cm)`
Creates a 256x32 image from an IndexColorModel.
`static IndexColorModel`
`getLut(String name)`
Returns the LUT 'name' as an IndexColorModel, where 'name' can be any entry in the Image/Lookup Tables menu.
`static IndexColorModel`
`open(InputStream stream)`
Opens an ImageJ LUT using an InputStream and returns it as an IndexColorModel.
`static IndexColorModel`
`open(String path)`
Opens the specified ImageJ LUT and returns it as an IndexColorModel.
`static LUT`
`openLut(String pathOrURL)`
Opens a LUT and returns it as a LUT object.
`void`
`run(String arg)`
If 'arg'="", displays a file open dialog and opens the specified LUT.

### Methods inherited from class ij.ImagePlus

`addImageListener, clone, close, convertIndexToPosition, convertToImageProcessor, copy, copy, copyAttributes, copyScale, copyToSystem, createEmptyStack, createHyperStack, createImagePlus, createLut, createNewRoi, createRoiMask, createThresholdMask, crop, crop, crop, crop, cropAndSave, cut, deleteRoi, draw, draw, duplicate, flatten, flattenStack, flush, getAllStatistics, getBitDepth, getBufferedImage, getBytesPerPixel, getC, getCalibration, getCanvas, getChannel, getChannelProcessor, getClipboard, getCompositeMode, getCurrentSlice, getDefault16bitRange, getDimensions, getDimensions, getDisplayMode, getDisplayRangeMax, getDisplayRangeMin, getFileInfo, getFrame, getGlobalCalibration, getHeight, getHideOverlay, getID, getImage, getImageProperties, getImageStack, getImageStackSize, getInfoProperty, getListeners, getLocalCalibration, getLocationAsString, getLuts, getMask, getNChannels, getNDimensions, getNFrames, getNSlices, getNumericProp, getNumericProperty, getOpenAsHyperStack, getOriginalFileInfo, getOverlay, getPixel, getPlot, getProcessor, getProp, getProperties, getPropertiesAsArray, getProperty, getPropsInfo, getRawStatistics, getRoi, getShortTitle, getSizeInBytes, getSlice, getStack, getStackIndex, getStackSize, getStartTime, getStaticGlobalCalibration, getStatistics, getStatistics, getStatistics, getStatistics, getStringProperty, getT, getTitle, getType, getWidth, getWindow, getZ, hasImageStack, hide, imageUpdate, isComposite, isDisplayedHyperStack, isHyperStack, isInvertedLut, isLocked, isLockedByAnotherThread, isProcessor, isRGB, isStack, isThreshold, isVisible, killRoi, killStack, lock, lockSilently, logImageListeners, mouseMoved, notifyListeners, okToDeleteRoi, paste, paste, paste, plotHistogram, plotHistogram, removeImageListener, removeScale, repaintWindow, resetClipboard, resetDisplayRange, resetRoi, resetStack, resize, resize, restoreRoi, revert, saveRoi, setActivated, setActiveChannels, setAntialiasRendering, setAutoThreshold, setBorderColor, setC, setCalibration, setColor, setDeactivated, setDefault16bitRange, setDefaultDisplayRange, setDimensions, setDisplayMode, setDisplayRange, setDisplayRange, setFileInfo, setGlobalCalibration, setHideOverlay, setIgnoreFlush, setIgnoreGlobalCalibration, setIJMenuBar, setIJMenuBar, setImage, setImage, setLut, setOpenAsHyperStack, setOverlay, setOverlay, setOverlay, setPlot, setPosition, setPosition, setPositionWithoutUpdate, setProcessor, setProcessor, setProp, setProp, setProperties, setProperty, setRoi, setRoi, setRoi, setRoi, setSlice, setSliceWithoutUpdate, setStack, setStack, setStack, setT, setTemporary, setTitle, setType, setTypeToColor256, setWindow, setZ, show, show, startTiming, tempOverlay, toggleOverlay, toString, trimProcessor, unlock, updateAndDraw, updateAndRepaintWindow, updateChannelAndDraw, updateImage, updatePosition, updateStatusbarValue, updateVirtualSlice, waitTillActivated, windowActivated`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### LutLoader

public LutLoader()

## Method Details

### getLut

public static IndexColorModel getLut(String name)
Returns the LUT 'name' as an IndexColorModel, where 'name' can be any entry in the Image/Lookup Tables menu.

See Also:
  - `See: Help>Examples>JavaScript/Show all LUTs`

### run

public void run(String arg)
If 'arg'="", displays a file open dialog and opens the specified LUT. If 'arg' is a path, opens the LUT specified by the path. If 'arg'="fire", "ice", etc., uses a method to generate the LUT.

Specified by:
  `run` in interface `PlugIn`

### openLut

public static LUT openLut(String pathOrURL)
Opens a LUT and returns it as a LUT object.

### open

public static IndexColorModel open(String path) throws IOException
Opens the specified ImageJ LUT and returns it as an IndexColorModel. Since 1.43t.

Throws:
  `IOException`

### open

public static IndexColorModel open(InputStream stream) throws IOException
Opens an ImageJ LUT using an InputStream and returns it as an IndexColorModel. Since 1.43t.

Throws:
  `IOException`

### createImage

public static ByteProcessor createImage(IndexColorModel cm)
Creates a 256x32 image from an IndexColorModel. Since 1.43t.